跳轉到主要內容
POST
/
v1
/
3d
/
generations
curl -X POST "https://api.lemondata.cc/v1/3d/generations" \
  -H "Authorization: Bearer sk-your-api-key" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "tripo3d-v2.5",
    "prompt": "A detailed medieval castle with towers",
    "format": "glb",
    "quality": "high"
  }'
{
  "id": "3d_abc123",
  "status": "pending",
  "created": 1706000000,
  "model": "tripo3d-v2.5"
}
使用 Tripo3D 及其他供應商,透過文字或圖片生成 3D 模型。這是一個非同步 API。

請求主體 (Request Body)

model
string
預設值:"tripo3d-v2.5"
要使用的模型(例如:tripo3d-v2.5tripo3d-v2)。
prompt
string
必填
要生成的 3D 模型文字描述。
image
string
用於圖片轉 3D 生成的 Base64 編碼圖片。
image_url
string
用於圖片轉 3D 生成的圖片 URL。
format
string
預設值:"glb"
輸出格式:glbfbxobjusdz
quality
string
預設值:"standard"
品質等級:draftstandardhigh
style
string
模型的風格預設。
seed
integer
用於可重現生成的種子值。
user
string
終端用戶的唯一識別碼。

回應 (Response)

id
string
用於輪詢狀態的任務 ID。
status
string
任務狀態:pendingprocessingcompletedfailed
created
integer
任務建立的 Unix 時間戳記。
curl -X POST "https://api.lemondata.cc/v1/3d/generations" \
  -H "Authorization: Bearer sk-your-api-key" \
  -H "Content-Type: application/json" \
  -d '{
    "model": "tripo3d-v2.5",
    "prompt": "A detailed medieval castle with towers",
    "format": "glb",
    "quality": "high"
  }'
{
  "id": "3d_abc123",
  "status": "pending",
  "created": 1706000000,
  "model": "tripo3d-v2.5"
}